<!-- <p>template works!</p>
<div  *ngFor="let template of templates;let i =index;">
    <input  [(ngMode)]='testTemplate[i].textBox' id ="txt{{i}}" type="text">
    <input  id="chk{{i}}" type ="checkbox" [(ngModule)]="testTemplate[i]".checkbox>
    <select  [(ngMode)]='testTemplate[i].checkbox'>
        <option [(ngModel)]='testTemplate[i].dropDown' id="drp{{i}}"></option>
        <option  value="null" selected="selected">please choose one</option>
        <option  value="text">Text</option>
        <option  value="Markdown">Markdown</option>
        <option  value="Binary">Binary</option>
    </select>
    <br>
</div>
<button (click)="add()">Add template</button>
<button (click)="submitTemplate()">Submit</button>
<br>
<h1>{{json}}</h1> -->
